<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://catsplugins.com/
 * @since             1.0.0
 * @package           cpsmart_otp
 *
 * @wordpress-plugin
 * Plugin Name:       Smart OTP - Email Verification & Phone Number Valiator
 * Plugin URI:        https://catsplugins.com/plugin-detail/smart-otp/
 * Description:       Verify all lead data with Email Verification & Phone Number Valiator
 * Version:           1.2.0
 * Author:            Cat's Plugins
 * Author URI:        https://catsplugins.com/
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cpsmart_otp
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if (! defined('WPINC')) {
    die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define('CPOTP_VERSION', '1.0.0');

define('CPOTP_PATH', __DIR__);
define('CPOTP_PUBLIC', plugin_dir_url(__FILE__) . 'public');
define('CPOTP_DASHBOARD_SLUG', "cpotp-dashboard");
define('CPOTP_LOGS_SLUG', "cpotp-logs");


/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-cp_smart_otp-activator.php
 */
function cpsmart_otp_activate()
{
    require_once plugin_dir_path(__FILE__) . 'includes/class-cp_smart_otp-activator.php';
    cpsmart_otp_activator::activate();
}
/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-cp_smart_otp-deactivator.php
 */

register_activation_hook(__FILE__, 'cpsmart_otp_activate');

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . 'includes/class-cp_smart_otp.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function cpsmart_otp_run()
{
    require_once  CPOTP_PATH . '/vendor/autoload.php';
    require_once  CPOTP_PATH . '/includes/class-cp-core.php';

    $plugin = new cpsmart_otp();

    new cpsmart_otp_core($plugin);
}
cpsmart_otp_run();
